Du nouveau sur Raspberry !

Pi Os enfin en 64 bits

La Debian 11 Bullseyes est disponible en version 64 bits avec un noyau Linux 5.10 et le GTK 3 depuis Janvier 2022.

Mal grès les capacités des dernières cartes  Raspberry  en version Arm64 (Cortex-A53 et le dernier Pi4 Cortex-A72) le 64 bits faisait cruellement défaut sur l’O.S. officiel du Raspberry Pi. La nouvelle version est désormais disponible en version 64 bits sur la page de téléchargement officiel de la Framboise !

Debian Bullseye

Ne vous attendez pas a des miracles …

Le bénéfice se situe au niveau  Logiciel, comme je le soulignai dans un post récent la version Debian utilisée sur un Raspberry était en version 32 bits ce qui engendrait des problèmes de compatibilité. Certains Logiciels propriétaire et Open Source  sont disponibles uniquement en version 64 bits. Cela posait problèmes pour les utilisateurs de ses Logiciels. On ne pouvait donc pas considérer le Pi comme un « PC de bureau » et l’utiliser en remplacement. On peut maintenant considérer Le Pi 4 avec un OS 64 bits comme une excellente alternative pour remplacer un PC.

Architecture des cartes Raspberry Pi

Le Pi1 qui  est construit sur un coeur ARM1176 (arm6hf), le Pi2 coeur Cortex-A7 (armhf) et le Pi Zero avec coeur ARM1176 (arm6hf) sont des architectures 32 bits et continue a tourner sur un os 32 bits et sont incompatibles avec la version 64 bits.

Les heureux possesseur de carte avec un coeur Cortex-A53 comme le Pi3 et Certains Pi Zero 2 W ainsi que le Cortex-A72 disponible sur les Pi4 sont des architectures arm64 toutes compatible avec la version 64 bits du Raspberry Pi OS. C’est désormais la version a privilégier pour utiliser pleinement votre nano ordinateur.

Faut -il passer obligatoirement a la version 64 bits ?

Bien évidemment que non, c’est bien sur la version a privilégier pour une nouvelle installation mais ce n’est absolument pas obligatoire.

En utilisant la version 64 bits vous aurez accès a la bibliothèque complète de Logiciels disponibles dans la distribution Linux.

Si vous ne rencontrez pas de limitation particulière avec votre version actuelle il n’y a pas vraiment de raisons d’ en changer.

Continuez simplement a faire les mises à jours régulièrement pour profiter des nouvelles corrections de sécurité et correction de bugs.